=== debian/changelog ===
nnn (1.3-2) unstable; urgency=medium

  * Update manpage

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 26 Jul 2017 17:39:29 +0800

nnn (1.3-1) unstable; urgency=medium

  * Import new upstream version

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 26 Jul 2017 17:26:38 +0800

nnn (1.2-1) unstable; urgency=medium

  * New upstream version
  * Fix FTBFS on non-Linux issue (Closes: #862421)
  * Bump Standards-Version to 4.0.0

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 29 Jun 2017 13:57:39 +0800

nnn (1.1-1) unstable; urgency=medium

  * New upstream version
  * Set build-depends to libncursesw5-dev only (Closes: #860518)
  * Move package from experimental to SID archive

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 18 Apr 2017 14:46:23 +0800

nnn (1.0-1~exp2) experimental; urgency=medium

  * Remove -march=native and change -O3 to -O2 in cflags (Closes: #860455)

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 17 Apr 2017 19:38:17 +0800

nnn (1.0-1~exp1) experimental; urgency=low

  * Initial release (Closes: #860249)

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 15 Apr 2017 11:19:09 +0800
