=== debian/control ===
Source: nnn
Section: misc
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 10),
               dh-systemd,
               libncursesw5-dev,
               libreadline-dev,
               pkg-config
Standards-Version: 4.0.0
Homepage: https://github.com/jarun/nnn
Vcs-Git: https://anonscm.debian.org/git/collab-maint/nnn.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nnn.git

Package: nnn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Free, fast, friendly file browser
 nnn is a fork of noice, a blazing-fast lightweight terminal file browser
 with easy keyboard shortcuts for navigation, opening files and running tasks.
 nnn toppings
 .
  - Show details of the currently selected file (stat, file)
  - Disk usage analyzer mode (within the same fs, doesn't follow symlinks)
  - Directories first (even with sorting)
  - Sort numeric names in numeric order
  - Case-insensitive alphabetic content listing instead of upper case first
  - Key - to jump to last visited directory
  - Roll over at the first and last entries of a directory
  - Removed navigation restriction with relative paths
  - Sort entries by file size (largest to smallest)
  - Shortcut to invoke file name copier
