## nnn 1.5

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-VERSION = 1.3
+VERSION = 1.5
 
 PREFIX ?= /usr/local
 MANPREFIX = $(PREFIX)/share/man
 
-CFLAGS += -O2 -Wall -Wextra -Wno-unused-parameter
+CFLAGS += -O3 -Wall -Wextra -Wno-unused-parameter
 LDLIBS = -lreadline
 
 ifeq ($(shell pkg-config ncursesw && echo 1),1)
@@ -13,14 +13,14 @@
 	LDLIBS += -lncurses
 endif
 
-DISTFILES = nlay nnn.c config.h nnn.1 Makefile README.md LICENSE
+DISTFILES = nlay nnn.c nnn.h nnn.1 Makefile README.md LICENSE
 SRC = nnn.c
 BIN = nnn
 PLAYER = nlay
 
 all: $(BIN) $(PLAYER)
 
-$(SRC): config.h
+$(SRC): nnn.h
 
 $(BIN): $(SRC)
 	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS) $(LDLIBS)
