=== debian/changelog ===
nnn (1.5-1) unstable; urgency=medium

  * Import new upstream version
  * Bump Standards-Version to 4.1.1
  * Replace "http" with "https" in d/copyright
  * Remove dh-systemd dep. in d/control

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 05 Oct 2017 13:34:59 +0800

nnn (1.4-1) unstable; urgency=medium

  * Import new upstream version
  * Bump Standards-Version to 4.1.0

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 04 Sep 2017 14:21:17 +0800
