=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
 Build-Depends: debhelper (>= 10),
-               dh-systemd,
                libncursesw5-dev,
                libreadline-dev,
                pkg-config
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/jarun/nnn
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/nnn.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nnn.git
