=== debian/changelog ===
nnn (1.7-1) unstable; urgency=medium

  * Import new upstream version
  * d/control: Move VCS to salsa
  *            Bump standards version to 4.1.3

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 28 Feb 2018 22:23:50 +0800

nnn (1.6-1) unstable; urgency=medium

  * Import new upstream version
  * d/control: Bump Standards-Version to 4.1.2
  * d/compat: Bump compat to 11
  * d/rules: Remove unnecessary parameters

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 26 Dec 2017 09:47:30 +0800
