=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                libncursesw5-dev,
                libreadline-dev,
                pkg-config
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/jarun/nnn
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/nnn.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nnn.git
+Vcs-Git: https://salsa.debian.org/debian/nnn.git
+Vcs-Browser: https://salsa.debian.org/debian/nnn
 
 Package: nnn
 Architecture: any
