=== debian/changelog ===
nnn (1.9-1) unstable; urgency=medium

  * Import new upstream version
  * d/control: Bump Standards-Version to 4.2.0

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 10 Aug 2018 14:29:00 +0800

nnn (1.8-1) unstable; urgency=medium

  * Import new upstream version
  * Convert from git-dpm to patches unapplied format
  * d/control: Bump Standards-Version to 4.1.4

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 02 May 2018 10:29:53 +0800
