## nnn 2.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.9
+VERSION = 2.0
 
 PREFIX ?= /usr/local
 MANPREFIX ?= $(PREFIX)/share/man
@@ -8,7 +8,6 @@
 
 CFLAGS ?= -O3
 CFLAGS += -Wall -Wextra -Wno-unused-parameter
-LDLIBS = -lreadline
 
 ifeq ($(shell $(PKG_CONFIG) ncursesw && echo 1),1)
 	CFLAGS += $(shell $(PKG_CONFIG) --cflags ncursesw)
