=== debian/changelog ===
nnn (2.0-2) unstable; urgency=medium

  * d/control:
    - Remove unnecessary depends: libncursesw5 (Closes: #911741)
    - Update Build-Depends to libncurses-dev (Thanks to Sven and Dmitry)
  * d/nnn.manpages:
    - Add missing manpage of nlay (Closes:#911755)

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 24 Oct 2018 22:03:42 +0800

nnn (2.0-1) unstable; urgency=medium

  * Import new upstream version
  * Add upstream metadata
  * d/control:
    - Bump Standards-Version to 4.2.1
    - Add missing depends: libncursesw5
    - Remove Build-Depends: libreadline-dev
    - Tidy package description
  * d/install:
    - Add auto-completion shell in bash

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 22 Oct 2018 11:43:30 +0800
