=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
 Build-Depends: debhelper (>= 11),
-               libncursesw5-dev,
-               libreadline-dev,
+               libncurses-dev,
                pkg-config
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/jarun/nnn
 Vcs-Git: https://salsa.debian.org/debian/nnn.git
 Vcs-Browser: https://salsa.debian.org/debian/nnn
@@ -14,8 +13,8 @@
 Package: nnn
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Free, fast, friendly file browser
- nnn is a fork of noice, a blazing-fast lightweight terminal file browser
+Description: Free, fast, friendly file manager
+ nnn is a fork of noice, a blazing-fast lightweight terminal file manager
  with easy keyboard shortcuts for navigation, opening files and running tasks.
  nnn toppings
  .
