=== debian/changelog ===
nnn (2.1-1) unstable; urgency=medium

  * Import new upstream version
  * d/install:
    - Remove nlay - which was dropped by new upstream release
  * d/nnn.manpages:
    - Remove nlay.1 - which was dropped by new upstream release

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 26 Nov 2018 12:03:55 +0800
