## nnn 2.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 2.1
+VERSION = 2.2
 
 PREFIX ?= /usr/local
 MANPREFIX ?= $(PREFIX)/share/man
@@ -6,15 +6,23 @@
 PKG_CONFIG ?= pkg-config
 INSTALL ?= install
 
-CFLAGS ?= -O3
-CFLAGS += -Wall -Wextra -Wno-unused-parameter
+CFLAGS_OPTIMIZATION ?= -O3
 
 ifeq ($(shell $(PKG_CONFIG) ncursesw && echo 1),1)
-	CFLAGS += $(shell $(PKG_CONFIG) --cflags ncursesw)
-	LDLIBS += $(shell $(PKG_CONFIG) --libs   ncursesw)
+	CFLAGS_CURSES ?= $(shell $(PKG_CONFIG) --cflags ncursesw)
+	LDLIBS_CURSES ?= $(shell $(PKG_CONFIG) --libs   ncursesw)
+else ifeq ($(shell $(PKG_CONFIG) ncurses && echo 1),1)
+	CFLAGS_CURSES ?= $(shell $(PKG_CONFIG) --cflags ncurses)
+	LDLIBS_CURSES ?= $(shell $(PKG_CONFIG) --libs   ncurses)
 else
-	LDLIBS += -lncurses
+	LDLIBS_CURSES ?= -lncurses
 endif
+
+CFLAGS += -Wall -Wextra -Wno-unused-parameter
+CFLAGS += $(CFLAGS_OPTIMIZATION)
+CFLAGS += $(CFLAGS_CURSES)
+
+LDLIBS += $(LDLIBS_CURSES)
 
 DISTFILES = src nnn.1 Makefile README.md LICENSE
 SRC = src/nnn.c
