=== debian/changelog ===
nnn (2.2-2) unstable; urgency=medium

  * Add suggests fields with optional dependencies (Closes: #921480)

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 11 Feb 2019 13:19:30 +0800

nnn (2.2-1) unstable; urgency=medium

  * Import new upstream version
  * d/compat:
    - Bump compat version to 12
  * d/control:
    - Bump Standards-Version to 4.3.0
    - Bump debhelper version to 12

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 02 Jan 2019 09:54:36 +0800
