=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                libncurses-dev,
                pkg-config
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/jarun/nnn
 Vcs-Git: https://salsa.debian.org/debian/nnn.git
 Vcs-Browser: https://salsa.debian.org/debian/nnn
@@ -13,6 +13,13 @@
 Package: nnn
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: mediainfo | exiftool,
+          atool | patool,
+          moreutils,
+          vlock,
+          file,
+          lftp,
+          xdg-utils
 Description: Free, fast, friendly file manager
  nnn is a fork of noice, a blazing-fast lightweight terminal file manager
  with easy keyboard shortcuts for navigation, opening files and running tasks.
