=== debian/changelog ===
nnn (2.5-1) unstable; urgency=medium

  * Import new upstream version
  * d/control:
    - Update package list in Suggest column
  * d/watch:
    - Fix malformed filenamemangle

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 27 May 2019 11:50:53 +0800

nnn (2.4-1) unstable; urgency=medium

  * Import new upstream version
  * d/control:
    - Add readline into {build-}Depends field
  * d/watch:
    - Remove dh_make-template

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 01 Apr 2019 18:09:30 +0800
