=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
 Build-Depends: debhelper (>= 12),
                libncurses-dev,
+               libreadline-dev,
                pkg-config
 Standards-Version: 4.3.0
 Homepage: https://github.com/jarun/nnn
@@ -12,13 +13,15 @@
 
 Package: nnn
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         readline-common
 Suggests: mediainfo | exiftool,
           atool | patool,
-          moreutils,
           vlock,
           file,
           lftp,
+          sshfs,
           xdg-utils
 Description: Free, fast, friendly file manager
  nnn is a fork of noice, a blazing-fast lightweight terminal file manager
