## nnn 2.6

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
-VERSION = 2.5
+VERSION = 2.6
 
 PREFIX ?= /usr/local
 MANPREFIX ?= $(PREFIX)/share/man
 STRIP ?= strip
 PKG_CONFIG ?= pkg-config
 INSTALL ?= install
+CP ?= cp
 
 CFLAGS_OPTIMIZATION ?= -O3
 
@@ -40,7 +41,6 @@
 
 norl: $(SRC)
 	$(CC) -DNORL $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $(BIN) $^ $(LDLIBS)
-	$(STRIP) $(BIN)
 
 install: all
 	$(INSTALL) -m 0755 -d $(DESTDIR)$(PREFIX)/bin
