=== debian/changelog ===
nnn (2.6-1) unstable; urgency=medium

  * Import new upstream version
  * Bump Standards-Version to 4.4.0
  * d/install:
    - Correct the installation path to align with new upstream
    - Add zsh auto-completion script

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 06 Aug 2019 13:38:36 +0800
