=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                libncurses-dev,
                libreadline-dev,
                pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/jarun/nnn
 Vcs-Git: https://salsa.debian.org/debian/nnn.git
 Vcs-Browser: https://salsa.debian.org/debian/nnn
