## nnn 2.8.1

=== debian/changelog ===
nnn (2.8.1-1.antix1) unstable; urgency=medium

  * buster build for antiX-19 

 -- anticapitalista <antix@operamail.com>  Sun, 05 Jan 2020 11:23:39 +0200

nnn (2.8.1-1) unstable; urgency=medium

  * Import new upstream version

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 05 Dec 2019 16:09:02 +0800

nnn (2.8-1) unstable; urgency=medium

  * Import new upstream version

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 04 Dec 2019 14:34:40 +0800

nnn (2.7-1) unstable; urgency=medium

  * Import new upstream version
  * d/control:
    - Use debhelper-compat (= 12) in build-dependency to replace d/compat
    - Set Rules-Requires-Root: no
    - Bump Standards-Version to 4.4.1

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 08 Oct 2019 15:31:38 +0800
