=== debian/changelog ===
nnn (3.0-2) unstable; urgency=low

  * Add autopkgtest test case

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 18 Feb 2020 19:13:42 +0800

nnn (3.0-1) unstable; urgency=medium

  * Import new upstream version

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 13 Feb 2020 14:26:28 +0800
