=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nnn-$1\.tar\.gz/ \
   https://github.com/jarun/nnn/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
