## nnn 3.4

=== debian/changelog ===
nnn (3.4-2) unstable; urgency=medium

  * d/tests/test:
    - Mark as superficial (Closes: #971482)

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 29 Oct 2020 10:26:03 +0800

nnn (3.4-1) unstable; urgency=medium

  * Import new upstream version

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 27 Aug 2020 15:10:42 +0800

nnn (3.3-1) unstable; urgency=medium

  * Import new upstream version

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 14 Jul 2020 10:52:31 +0800

nnn (3.2-1) unstable; urgency=medium

  * Import new upstream version
  * d/control:
    - Bump debhelper-compat to 13
  * d/copyright:
    - Correct copyright information

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 26 May 2020 11:14:53 +0800

nnn (3.1-1) unstable; urgency=medium

  * Import new upstream version

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 13 Apr 2020 17:58:36 +0800
