=== misc/haiku/Makefile ===
--- 
+++ 
@@ -9,9 +9,20 @@
 
 CFLAGS_OPTIMIZATION ?= -O3
 
-O_DEBUG := 0
+O_DEBUG := 0  # debug binary
 O_NORL := 0  # no readline support
+O_PCRE := 0  # link with PCRE library
 O_NOLOC := 0  # no locale support
+O_NOMOUSE := 0  # no mouse support
+O_NOBATCH := 0  # no built-in batch renamer
+O_NOFIFO := 0  # no FIFO previewer support
+O_CTX8 := 0  # enable 8 contexts
+O_ICONS := 0  # support icons-in-terminal
+O_NERD := 0  # support icons-nerdfont
+O_QSORT := 0  # use Alexey Tourbin's QSORT implementation
+O_BENCH := 0  # benchmark mode (stops at first user input)
+O_NOSSN := 0  # enable session support
+O_NOUG := 0  # disable user, group name in status bar
 
 # convert targets to flags for backwards compatibility
 ifneq ($(filter debug,$(MAKECMDGOALS)),)
@@ -33,12 +44,59 @@
 
 ifeq ($(O_NORL),1)
 	CPPFLAGS += -DNORL
+else ifeq ($(O_STATIC),1)
+	CPPFLAGS += -DNORL
 else
 	LDLIBS += -lreadline
 endif
 
+ifeq ($(O_PCRE),1)
+	CPPFLAGS += -DPCRE
+	LDLIBS += -lpcre
+endif
+
 ifeq ($(O_NOLOC),1)
 	CPPFLAGS += -DNOLOCALE
+endif
+
+ifeq ($(O_NOMOUSE),1)
+	CPPFLAGS += -DNOMOUSE
+endif
+
+ifeq ($(O_NOBATCH),1)
+	CPPFLAGS += -DNOBATCH
+endif
+
+ifeq ($(O_NOFIFO),1)
+	CPPFLAGS += -DNOFIFO
+endif
+
+ifeq ($(O_CTX8),1)
+	CPPFLAGS += -DCTX8
+endif
+
+ifeq ($(O_ICONS),1)
+	CPPFLAGS += -DICONS
+endif
+
+ifeq ($(O_NERD),1)
+	CPPFLAGS += -DNERD
+endif
+
+ifeq ($(O_QSORT),1)
+	CPPFLAGS += -DTOURBIN_QSORT
+endif
+
+ifeq ($(O_BENCH),1)
+	CPPFLAGS += -DBENCH
+endif
+
+ifeq ($(O_NOSSN),1)
+	CPPFLAGS += -DNOSSN
+endif
+
+ifeq ($(O_NOUG),1)
+	CPPFLAGS += -DNOUG
 endif
 
 ifeq ($(shell $(PKG_CONFIG) ncursesw && echo 1),1)
@@ -57,11 +115,17 @@
 	OBJS_HAIKU ?= misc/haiku/nm.o
 endif
 
-CFLAGS += -Wall -Wextra
+CFLAGS += -std=c11 -Wall -Wextra -Wshadow
 CFLAGS += $(CFLAGS_OPTIMIZATION)
 CFLAGS += $(CFLAGS_CURSES)
 
 LDLIBS += $(LDLIBS_CURSES) $(LDLIBS_HAIKU)
+
+# static compilation needs libgpm development package
+ifeq ($(O_STATIC),1)
+	LDFLAGS += -static
+	LDLIBS += -lgpm
+endif
 
 DISTFILES = src nnn.1 Makefile README.md LICENSE
 SRC = src/nnn.c
@@ -119,15 +183,18 @@
 
 upload-local: sign static
 	$(eval ID=$(shell curl -s 'https://api.github.com/repos/jarun/nnn/releases/tags/v$(VERSION)' | jq .id))
+	# upload sign file
 	curl -XPOST 'https://uploads.github.com/repos/jarun/nnn/releases/$(ID)/assets?name=nnn-$(VERSION).tar.gz.sig' \
 	    -H 'Authorization: token $(NNN_SIG_UPLOAD_TOKEN)' -H 'Content-Type: application/pgp-signature' \
 	    --upload-file nnn-$(VERSION).tar.gz.sig
-	curl -XPOST 'https://uploads.github.com/repos/jarun/nnn/releases/$(ID)/assets?name=nnn-$(VERSION)-static' \
+	tar -zcf $(BIN)-static-$(VERSION).x86_64.tar.gz $(BIN)-static
+	# upload static binary
+	curl -XPOST 'https://uploads.github.com/repos/jarun/nnn/releases/$(ID)/assets?name=$(BIN)-static-$(VERSION).x86_64.tar.gz' \
 	    -H 'Authorization: token $(NNN_SIG_UPLOAD_TOKEN)' -H 'Content-Type: application/x-sharedlib' \
-	    --upload-file $(BIN)-static
+	    --upload-file $(BIN)-static-$(VERSION).x86_64.tar.gz
 
 clean:
-	$(RM) -f $(BIN) $(BIN)-static $(OBJS) nnn-$(VERSION).tar.gz *.sig
+	$(RM) -f $(BIN) nnn-$(VERSION).tar.gz *.sig $(BIN)-static $(BIN)-static-$(VERSION).x86_64.tar.gz
 
 skip: ;
