=== debian/changelog ===
nnn (3.5-1) unstable; urgency=medium

  * Import new upstream version
  * d/copyright:
    - Fix incorrect license declaration

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 18 Nov 2020 11:41:47 +0800
